ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_hw.c File Reference

# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_hw.c File Reference

PCM HW Plugin Interface. More...

## Enumerations
enum | { CHMAP_CTL_QUERY, CHMAP_CTL_GET, CHMAP_CTL_SET }
## Functions
snd_pcm_chmap_query_t ** | snd_pcm_query_chmaps_from_hw (int card, int dev, int subdev, snd_pcm_stream_t stream)
int | snd_pcm_hw_open_fd (snd_pcm_t **pcmp, const char *name, int fd, int mmap_emulation, int sync_ptr_ioctl)
| Creates a new hw PCM.
int | snd_pcm_hw_open (snd_pcm_t **pcmp, const char *name, int card, int device, int subdevice, snd_pcm_stream_t stream, int mode, int mmap_emulation, int sync_ptr_ioctl)
| Creates a new hw PCM.
int | _snd_pcm_hw_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new hw PCM.

## Detailed Description

PCM HW Plugin Interface.

Author:
  Abramo Bagnara <abramo@alsa-project.org>
  Jaroslav Kysela <perex@perex.cz>

Date:
  2000-2001

## Function Documentation

int _snd_pcm_hw_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new hw PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with hw PCM description
  | stream | PCM Stream
  | mode | PCM Mode

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_hw_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | int | card,
|  | int | device,
|  | int | subdevice,
|  | snd_pcm_stream_t | stream,
|  | int | mode,
|  | int | mmap_emulation,
|  | int | sync_ptr_ioctl |
| ) |  |  |

Creates a new hw PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | card | Number of card
  | device | Number of device
  | subdevice | Number of subdevice
  | stream | PCM Stream
  | mode | PCM Mode
  | mmap_emulation | Obsoleted parameter
  | sync_ptr_ioctl | Use SYNC_PTR ioctl rather than mmap for control structures

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_hw_open_fd | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | int | fd,
|  | int | mmap_emulation,
|  | int | sync_ptr_ioctl |
| ) |  |  |

Creates a new hw PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | fd | File descriptor
  | mmap_emulation | Obsoleted parameter
  | sync_ptr_ioctl | Boolean flag for sync_ptr ioctl

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines